Skip to main content
Infrastructure/Agents
PUTAgentSince 1.0SynchronousAuth Required

UpdatePluginConfig

Update the runtime configuration for an installed plugin on an agent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • agentIdStringRequired

    UUID of the agent running the plugin

  • pluginIdStringRequired

    Unique identifier of the plugin to reconfigure

Body Fields

  • configLinkedHashMapRequired

    Configuration data as key-value pairs

    Example: (nested object)

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/api/v1/agents/{agentId}/plugins/{pluginId}/config

/api/v1/agents/{agentId}/plugins/{pluginId}/config

Operation ID

UpdatePluginConfig

Permalink

Request Example

curl -X PUT '{host}/api/v1/agents/{agentId}/plugins/{pluginId}/config' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"config":"(nested object)"}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history